Obter Produto
curl --request GET \
--url https://api.selltrust.com.br/api/v1/product/{id} \
--header 'Authorization: <authorization>'import requests
url = "https://api.selltrust.com.br/api/v1/product/{id}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.selltrust.com.br/api/v1/product/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "uuid-do-produto",
"store_id": "uuid-da-loja",
"category_id": "uuid-da-categoria",
"title": "Meu Produto",
"slug": "meu-produto",
"description": "<p>Detalhes...</p>",
"images": [],
"hide_product": false,
"is_bundle": false,
"price": 99.9,
"comparison_price": 129.9,
"min_quantity": null,
"inventory_amount": 10,
"parent_id": null,
"sales_count": 15,
"chat_enabled": false,
"chat_welcome_message": null,
"instructions": null,
"created_at": "2024-01-01T00:00:00.000Z",
"updated_at": "2024-01-01T00:00:00.000Z",
"license_keys": [],
"parent": null,
"_count": {
"variants": 0
}
}
Produtos
Obter Produto
GET
/
api
/
v1
/
product
/
{id}
Obter Produto
Busca todos os detalhes de um produto em específico a partir de seu ID.
Se o campo
is_bundle vier como true, isso indica que o produto é um bundle (raiz). Para obter as variações desse produto, use a rota GET /api/v1/product/{id}/variants.
string
required
Token de acesso no formato
Bearer <seu_token>.{
"id": "uuid-do-produto",
"store_id": "uuid-da-loja",
"category_id": "uuid-da-categoria",
"title": "Meu Produto",
"slug": "meu-produto",
"description": "<p>Detalhes...</p>",
"images": [],
"hide_product": false,
"is_bundle": false,
"price": 99.9,
"comparison_price": 129.9,
"min_quantity": null,
"inventory_amount": 10,
"parent_id": null,
"sales_count": 15,
"chat_enabled": false,
"chat_welcome_message": null,
"instructions": null,
"created_at": "2024-01-01T00:00:00.000Z",
"updated_at": "2024-01-01T00:00:00.000Z",
"license_keys": [],
"parent": null,
"_count": {
"variants": 0
}
}
⌘I
